diff --git a/inc/glpi.class.php b/inc/glpi.class.php
index e5d2cc413..7db7d1050 100644
--- a/inc/glpi.class.php
+++ b/inc/glpi.class.php
@@ -71,10 +71,7 @@ class GLPI {
          if (defined('TU_USER')) {
             $handler = new TestHandler($this->log_level);
          } else {
-            $handler = new StreamHandler(
-               GLPI_LOG_DIR . "/{$type}-errors.log",
-               $this->log_level
-            );
+            $handler = new StreamHandler('php://stdout', $this->log_level);
             $formatter = new LineFormatter(null, null, true, true);
             $handler->setFormatter($formatter);
          }

diff --git a/inc/toolbox.class.php b/inc/toolbox.class.php
--- a/inc/toolbox.class.php
+++ b/inc/toolbox.class.php
@@ -603,13 +603,21 @@

       $user = '';
       if (method_exists('Session', 'getLoginUserID')) {
-         $user = " [".Session::getLoginUserID().'@'.php_uname('n')."]";
+         $user = Session::getLoginUserID().'@'.php_uname('n');
       }

       $ok = true;
       if ((isset($CFG_GLPI["use_log_in_files"]) && $CFG_GLPI["use_log_in_files"])
           || $force) {
-         $ok = error_log(date("Y-m-d H:i:s")."$user\n".$text, 3, GLPI_LOG_DIR."/".$name.".log");
+         $msg = sprintf(
+            '%s %s %s: %s %s',
+            date('[d/M/Y:H:i:s O]'),
+            filter_input(INPUT_SERVER, 'REQUEST_ID'),
+            $name,
+            $user,
+            $text
+         );
+         $ok = error_log($msg, 3, 'php://stdout');
       }

       if (isset($_SESSION['glpi_use_mode'])

diff --git a/inc/migration.class.php b/inc/migration.class.php
--- a/inc/migration.class.php
+++ b/inc/migration.class.php
@@ -178,7 +178,7 @@

       // Do not log if more than 3 log error
       if ($this->log_errors < 3
-         && !Toolbox::logInFile($log_file_name, $message . ' @ ', true)) {
+         && !Toolbox::logInFile($log_file_name, $message . PHP_EOL, true)) {
          $this->log_errors++;
       }
    }
